data = read('../demos/dryer.dat',-1,2); //data = [u y]
u = data(1:$,1)';
y = data(1:$,2)';
yok = y;uok = u;

getd('..\macros');  
getd('..\macros\subspace');
getd('..\macros\utils');
//-----------Corrupt data-----------
for i = 1:size(y,2)
  x = rand();
  if (x > 0.95)
    y(i) = %nan;
  end
  if (x > 0.99 | x < 0.05)
    u(i) = %nan;
  end
end
//------------Restore data------------
y = nanhandle(y,2); //linear interpolation
u = nanhandle(u,2); 
plot(yok,'-b')
plot(y,'-r')
title('Uncorrupted and restored data comparison')
legend('Uncorrupted', 'Restored')

//------------Downsample-------------
[t,y] = rsmp(y,2,3); // 2/3 downsample
[t,u] = rsmp(u,2,3);

getd('..\macros\subspace');
//-----------Identification----------
yv = y(401:$); uv = u(401:$); //validation data
y = y(1:400); u = u(1:400); //identification dat
[A,B,C,D,K,R,x0,fit fitTable] = subspaceIdent(y,u,yv,uv,[6:8],[2:4],1);

//------------Validation-------------
[fit, ys] = validate(A,B,C,D,K,yv,uv,1);
printf('Fitfactor = %f', fit)
figure
plot(yv);
plot(ys,'-r')
title('Simulation')
legend('Validation output', 'Simulated output')
