// H = blockhank(y,i,j)
// Makes a block Hankel matrix [i block-rows and j columns] with the data y 
function [H] = blockhank(y,i,j)

// Make a (block)-row vector out of y
[l,nd] = size(y);
if nd<l then y = y'; 
  [l,nd] = size(y);
end;

// Check dimensions
if i<0 then errorLog("blockhank: i should be positive");end;
if j<0 then errorLog("blockhank: j should be positive");end;
if j>nd-i+1 then errorLog("blockhank: j too big");end;

// Make a block-Hankel matrix
stacksize('max');//maximum stack size
H=zeros(l*i,j);
for k=1:i
	H((k-1)*l+1:k*l,:)=y(:,k:k+j-1);
end
endfunction
