function [AUX,Wflag] = checkAUX(AUXin,i,u,y,flag,W,sil)
// [AUX,Wflag] = checkAUX(AUXin,i,u(1,1),y(1,1),flag,W,sil)
// 
//   Compatibility of AUXin check: AUX = [] when nothing is useful
//                                 Wflag = 1 when R information is OK, but weight information not
//   AUX is constructed in function subid




Wflag = [];
AUX = AUXin;

if ~isempty(AUXin) then
  info = AUXin(1,:);
  Wflag = 0;
  if info(1) ~= flag then
    if flag == 1 then //deterministic
      mydisp(sil,"      Warning: AUXin is neglected: only valid for stochastic models");
    end;
    if flag == 2 then //stochastic
     mydisp(sil,"      Warning: AUXin is neglected: only valid for deterministic models");
    end;
    AUX = [];
  end;
  if info(2) ~= i then
    mydisp(sil,"      Warning: AUXin is neglected: Incompatible i");
    AUX = [];
  end;
  if ~isempty(u) then
      if info(3) ~= u then
         mydisp(sil,"      Warning: AUXin is neglected: Incompatible input");
      AUX = [];
    end;
  end;
    if info(4) ~= y then
    mydisp(sil,"      Warning: AUXin is neglected: Incompatible output");
    AUX = [];
  end;
  if ~isempty(W) & W ~= 0 then
    if info(5) ~= W then
      mydisp(sil,"      Warning: Weighting part in AUXin is neglected: Incompatible weight");
      Wflag = 1;
    end;
  end;
end;
endfunction
