clc;
mode(-1)
funcprot(0);

getd('..\macros');  
getd('..\macros\subspace');
getd('..\macros\utils');

// Algorithms
printf('Loading testing data...\n')
printf('-----------------\n');
data = read('../demos/dryer.dat',-1,2); //data = [u y]
printf('Creating testing data...\n')
printf('-----------------\n');
y = data(1:400,2); u = data(1:400,1); //identification data
yv = data(401:$,2); uv = data(401:$,1); //validation data
printf('Function calls...\n')
printf('-----------------\n');
//[A,B,C,D,K,R] = subid(y,u,10,1,3,[],[],1); //i = 10, nonzero D, n = 3, 
[A,B,C,D,K,R] = subid(y,u,10,0,3,[],[],1); //i = 10, zero D, n = 3 
printf('Function calls...\n')
printf('-----------------\n');
x0 = estimatex0(yv,uv,A,B,C,D);
[ys x] = lsim(A,B,C,D,uv,x0); // simulation
[fit] = fitFactor(ys, yv)

// Plots
printf('Plotting graphs...\n')
printf('-----------------\n');
plot(yv);
plot(ys,'-r');
legend('Validation','Prediction');

// Test results
disp('--------------------TEST Result--------------------')
printf('Testing...\n')
printf('-----------------\n');
if (fit > 0.8) & (fit <= 1)
  disp(fit,'fit factor:')
  disp('TEST Result: PASSED')
else
  disp('TEST Result: FAILED')
end;
